package com.yunfeiyun.agmp.fms.service.impl;

import com.yunfeiyun.agmp.fms.domain.FmsTaskmachine;
import com.yunfeiyun.agmp.fms.mapper.FmsTaskmachineMapper;
import com.yunfeiyun.agmp.fms.domain.reqvo.FmsTaskListReqVo;
import com.yunfeiyun.agmp.fms.domain.resvo.FmsTaskmachineResVo;
import com.yunfeiyun.agmp.fms.service.IFmsTaskmachineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 农事任务农具Service业务层处理
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
@Service
public class FmsTaskmachineServiceImpl implements IFmsTaskmachineService 
{
    @Autowired
    private FmsTaskmachineMapper fmsTaskmachineMapper;

    /**
     * 查询农事任务农具
     * 
     * @param taskmachId 农事任务农具主键
     * @return 农事任务农具
     */
    @Override
    public FmsTaskmachine selectFmsTaskmachineByTaskmachId(String taskmachId)
    {
        return fmsTaskmachineMapper.selectFmsTaskmachineByTaskmachId(taskmachId);
    }

    /**
     * 查询农事任务农具列表
     * 
     * @param fmsTaskmachine 农事任务农具
     * @return 农事任务农具
     */
    @Override
    public List<FmsTaskmachine> selectFmsTaskmachineList(FmsTaskmachine fmsTaskmachine)
    {
        return fmsTaskmachineMapper.selectFmsTaskmachineList(fmsTaskmachine);
    }

    @Override
    public List<FmsTaskmachineResVo> selectFmsTaskmachineByRcdId(String taskrcdId) {
        return fmsTaskmachineMapper.selectFmsTaskmachineByRcdId(taskrcdId);
    }

    @Override
    public List<FmsTaskmachineResVo> selectFmsTaskmachineStat(FmsTaskListReqVo reqVo) {
        return fmsTaskmachineMapper.selectFmsTaskmachineStat(reqVo);
    }

    /**
     * 新增农事任务农具
     * 
     * @param fmsTaskmachine 农事任务农具
     * @return 结果
     */
    @Override
    public int insertFmsTaskmachine(FmsTaskmachine fmsTaskmachine)
    {
        return fmsTaskmachineMapper.insertFmsTaskmachine(fmsTaskmachine);
    }

    /**
     * 修改农事任务农具
     * 
     * @param fmsTaskmachine 农事任务农具
     * @return 结果
     */
    @Override
    public int updateFmsTaskmachine(FmsTaskmachine fmsTaskmachine)
    {
        return fmsTaskmachineMapper.updateFmsTaskmachine(fmsTaskmachine);
    }

    /**
     * 批量删除农事任务农具
     * 
     * @param taskmachIds 需要删除的农事任务农具主键
     * @return 结果
     */
    @Override
    public int deleteFmsTaskmachineByTaskmachIds(String[] taskmachIds)
    {
        return fmsTaskmachineMapper.deleteFmsTaskmachineByTaskmachIds(taskmachIds);
    }

    /**
     * 删除农事任务农具信息
     * 
     * @param taskmachId 农事任务农具主键
     * @return 结果
     */
    @Override
    public int deleteFmsTaskmachineByTaskmachId(String taskmachId)
    {
        return fmsTaskmachineMapper.deleteFmsTaskmachineByTaskmachId(taskmachId);
    }
}
